//****************************************************************\\
//	- LunBase Master Shader - Feel free to modify and steal -	\\
//	- Be sure to rename everything you use - or else -		\\
//****************************************************************\\

// Quick find-and-replace on original shader by Shallow[BAP] for
// speedmap 98. Remember to always do what the man says and rename
// resource paths for redistribution, preferably matching your map.
// :)

textures/sm98_shallow/pillar1_7
{
	q3map_lightimage textures/sm98_shallow/pillar1_7glow.tga
	q3map_surfacelight 550
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sm98_shallow/pillar1_7.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/pillar1_7glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/pillar2_4
{
	q3map_lightimage textures/sm98_shallow/pillar2_4glow.tga
	q3map_surfacelight 550
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sm98_shallow/pillar2_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/pillar2_4glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/onyxsupport3
{
	q3map_surfacelight 1250
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sm98_shallow/onyxsupport3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/onyxsupport3dim
{
	qer_editorimage textures/sm98_shallow/onyxsupport3.tga
	q3map_surfacelight 700
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sm98_shallow/onyxsupport3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/onyxsupport3brite
{
	qer_editorimage textures/sm98_shallow/onyxsupport3.tga
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sm98_shallow/onyxsupport3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/onyxsupport5
{
	q3map_surfacelight 1250
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sm98_shallow/onyxsupport5.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/onyxsupport5dim
{
	qer_editorimage textures/sm98_shallow/onyxsupport5.tga
	q3map_surfacelight 700
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sm98_shallow/onyxsupport5.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/onyxsupport5brite
{
	qer_editorimage textures/sm98_shallow/onyxsupport5.tga
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sm98_shallow/onyxsupport5.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/jaildrblue
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_lightimage textures/sm98_shallow/jaildrpulse1.tga
	q3map_surfacelight 900
	q3map_lightsubdivide 32
	{
		map textures/sm98_shallow/jaildr.tga
		rgbGen identity
	}
	{
		map textures/sm98_shallow/jaildrglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.5 0.5 0 0.5
	}
}

textures/sm98_shallow/jaildrwhite
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 1250
	q3map_lightsubdivide 32
	{
		map textures/sm98_shallow/jaildrwhite.tga
		rgbGen identity
	}
	{
		map textures/sm98_shallow/jaildrwhiteglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.5 0.5 0 0.5
	}
}

textures/sm98_shallow/teleport
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 750
	tesssize 64
	{
		map textures/sm98_shallow/teleport.tga
		tcMod scroll -0.02 0.5
		tcMod turb 0 .12 0 0.333
	}
	{
		map textures/sm98_shallow/teleport.tga
		tcMod scroll 0.01 -0.5
		tcMod turb 0 .12 0 0.333
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/tekfloor1
{
	surfaceparm	metalsteps
	{
		map textures/sm98_shallow/tekfloor1glow.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/sm98_shallow/tekfloor1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sm98_shallow/tekfloor2
{
	surfaceparm	metalsteps
	{
		map textures/sm98_shallow/tekfloor1glow.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/sm98_shallow/tekfloor2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sm98_shallow/tekfloor3
{
	surfaceparm	metalsteps
	{
		map textures/sm98_shallow/tekfloor1glow.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/sm98_shallow/tekfloor3.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sm98_shallow/lunaran1
{
	surfaceparm nodlight
	surfaceparm nomarks
	{
		animmap 0.5 textures/sm98_shallow/lunaran2.tga textures/sm98_shallow/lunaran1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/effects/tinfx2.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}

textures/sm98_shallow/bluedepth
{
	surfaceparm nodlight
	q3map_lightimage textures/liquids/kc_fogcloud3.tga
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	q3map_surfacelight 50
	fogparms ( 0 .5 1 ) 256
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/sm98_shallow/bluedeeper	// Fog with a longer fade distance for the dome room
{
	surfaceparm nodlight
	q3map_lightimage textures/liquids/kc_fogcloud3.tga
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	q3map_surfacelight 50
	fogparms ( 0 .5 1 ) 480
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/sm98_shallow/jumppad1
{
	surfaceparm	metalsteps
	surfaceparm nodamage
	{
		clampmap textures/sm98_shallow/jumppadring.tga
		tcMod stretch sawtooth 0.25 4.5 0 1.5
		rgbGen identity
	}
	{
		map textures/sm98_shallow/jumppad1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		clampmap textures/sm98_shallow/jumppadswirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/jumppad2
{
	surfaceparm	metalsteps
	surfaceparm nodamage
	{
		clampmap textures/sm98_shallow/jumppadring.tga
		tcMod stretch sawtooth 0.25 4.5 0 1.5
		rgbGen identity
	}
	{
		map textures/sm98_shallow/jumppad2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		clampmap textures/sm98_shallow/jumppadswirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}
}

textures/sm98_shallow/onyxtele
{
	q3map_lightimage textures/sm98_shallow/teleport2.tga
	q3map_surfacelight 450
	{
		map textures/sm98_shallow/teleport2.tga
		tcMod scroll -0.02 -1
	}
	{
		map textures/sm98_shallow/onyxtele.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/sm98_shallow/onyxteleglow.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0 -1
	}
}

textures/sm98_shallow/pillar2_1shiny
{
	qer_editorimage textures/sm98_shallow/pillar2_1.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/sm98_shallow/pillar2_1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sm98_shallow/pillar3_1shiny
{
	qer_editorimage textures/sm98_shallow/pillar3_1.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/sm98_shallow/pillar3_1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sm98_shallow/pillar3_2shiny
{
	qer_editorimage textures/sm98_shallow/pillar3_2.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/sm98_shallow/pillar3_2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sm98_shallow/ceil1_lun_10k
{
	surfaceparm nodlight
	q3map_surfacelight 10000
	q3map_lightimage textures/sm98_shallow/ceil1_lunglow.tga
	qer_editorimage textures/sm98_shallow/ceil1_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/sm98_shallow/ceil1_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/sm98_shallow/ceil1_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/sm98_shallow/ceil1_lun_5k
{
	surfaceparm nodlight
	q3map_surfacelight 5000
	q3map_lightimage textures/sm98_shallow/ceil1_lunglow.tga
	qer_editorimage textures/sm98_shallow/ceil1_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/sm98_shallow/ceil1_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/sm98_shallow/ceil1_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/sm98_shallow/ceil1_lun_20k
{
	surfaceparm nodlight
	q3map_surfacelight 20000
	q3map_lightimage textures/sm98_shallow/ceil1_lunglow.tga
	qer_editorimage textures/sm98_shallow/ceil1_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/sm98_shallow/ceil1_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/sm98_shallow/ceil1_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/sm98_shallow/ceil2_lun_10k
{
	surfaceparm nodlight
	q3map_surfacelight 10000
	q3map_lightimage textures/sm98_shallow/ceil2_lunglow.tga
	qer_editorimage textures/sm98_shallow/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/sm98_shallow/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/sm98_shallow/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/sm98_shallow/ceil2_lun_5k
{
	surfaceparm nodlight
	q3map_surfacelight 5000
	q3map_lightimage textures/sm98_shallow/ceil2_lunglow.tga
	qer_editorimage textures/sm98_shallow/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/sm98_shallow/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/sm98_shallow/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/sm98_shallow/ceil2_lun_20k
{
	surfaceparm nodlight
	q3map_surfacelight 20000
	q3map_lightimage textures/sm98_shallow/ceil2_lunglow.tga
	qer_editorimage textures/sm98_shallow/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/sm98_shallow/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/sm98_shallow/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/sm98_shallow/creteold // Heh-heh, right.
{
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/sm98_shallow/creteold.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/sm98_shallow/onyxlite_2k
{
	surfaceparm nodlight
	q3map_surfacelight 2000
	q3map_lightimage textures/sm98_shallow/onyxliteglow.tga
	qer_editorimage textures/sm98_shallow/onyxlite.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/sm98_shallow/onyxlite.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/sm98_shallow/onyxliteglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/sm98_shallow/onyxliteblu_2k
{
	surfaceparm nodlight
	q3map_surfacelight 2000
	q3map_lightimage textures/sm98_shallow/onyxlitebluglow.tga
	qer_editorimage textures/sm98_shallow/onyxliteblu.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/sm98_shallow/onyxliteblu.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/sm98_shallow/onyxlitebluglow.tga
		blendFunc GL_ONE GL_ONE		}
}

//Not used - glass looks better
textures/sm98_shallow/grate1
{
//	qer_editorimage textures/sm98_shallow/grate1.tga
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm	metalsteps		
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/sm98_shallow/grate1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Quick'n'Dirty metalsteps floor shaders
textures/sm98_shallow/onyx
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/sm98_shallow/onyx.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/sm98_shallow/floor1
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/sm98_shallow/floor1.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/sm98_shallow/floor2
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/sm98_shallow/floor2.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/sm98_shallow/floor3
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/sm98_shallow/floor3.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/sm98_shallow/floor4
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/sm98_shallow/floor4.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/sm98_shallow/floorb
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/sm98_shallow/floorb.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/sm98_shallow/hexfloor1
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/sm98_shallow/hexfloor1.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/sm98_shallow/lglass
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.6
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/effects/tinfx2.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}